package tech.nevets.igformatter;

import java.io.File;
import java.util.Timer;

import static spark.Spark.*;

public class Main {
    public static void main(String[] args) {

        File f = new File("./temp/");
        if (!f.exists()) {
            f.mkdir();
        }

        if (args.length >= 1) {
            port(Integer.parseInt(args[0]));
        } else {
            port(8080);
        }

        post("/igformatter/upload", new GenerateRoute());

        Timer timer = new Timer(true);
        timer.scheduleAtFixedRate(new TempCleanUpTask(), 0, 5 * 60 * 1000);
        System.out.println("Cleanup task scheduled. It will run every 5 minutes.");
    }
}
